# classes/phing/system/io/FilterReader.php

Wrapper class for readers, which can be used to apply filters.

package
  phing.system.io

## \FilterReader
jump to top

Wrapper class for readers, which can be used to apply filters.

Extends from
  \Reader
author
  Hans Lellelid
author
  Yannick Lecaillez
package
  phing.system.io
version
  $Revision: 552 $

### Properties

`\Reader $in= ''`

Details

Type
  \Reader

### Methods

`__construct( $in = null ) :`
Parameters

Name | Type | Description
--- | --- | ---
$in |  |

`close( ) :`
`getResource( ) :`
`read( $len = null ) :`
Read data from source.

FIXME: Clean up this function signature, as it a) params aren't being used and b) it doesn't make much sense.

Parameters

Name | Type | Description
--- | --- | ---
$len |  |

`reset( ) :`
`setReader( $in ) :`
Parameters

Name | Type | Description
--- | --- | ---
$in |  |

`skip( $n ) :`
Parameters

Name | Type | Description
--- | --- | ---
$n |  |

Documentation was generated by DocBlox 0.13.1.